# Class MatInputHasEnablePermissionDirective

#### Hierarchy (view full)

- HasEnablePermission
  - MatInputHasEnablePermissionDirective

- Defined in lib/mat-input-has-enable-permission.directive.ts:21

#####
Index

### Constructors

constructor

### Properties

cdr
identifier
matInput

### Methods

ngOnDestroy
ngOnInit
setDisabled

## Constructors

### constructor

- new MatInputHasEnablePermissionDirective(authorization, cdr, matInput, scope, valueAccessor?): MatInputHasEnablePermissionDirective

- #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - matInput: MatInput
  - scope: string
  - valueAccessor: ControlValueAccessor[] = null

  #### Returns MatInputHasEnablePermissionDirective

  Overrides HasEnablePermission.constructor

  - Defined in lib/mat-input-has-enable-permission.directive.ts:27

## Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

Inherited from HasEnablePermission.cdr

- Defined in lib/has-enable-permission.ts:28

### identifier

identifier: string

Overrides HasEnablePermission.identifier

- Defined in lib/mat-input-has-enable-permission.directive.ts:25

### `Private` `Readonly` matInput

matInput: MatInput

- Defined in lib/mat-input-has-enable-permission.directive.ts:33

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnDestroy

  - Defined in lib/has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Inherited from HasEnablePermission.ngOnInit

  - Defined in lib/has-enable-permission.ts:39

### setDisabled

- setDisabled(disabled): void

- #### Parameters

  - disabled: boolean

  #### Returns void

  Overrides HasEnablePermission.setDisabled

  - Defined in lib/mat-input-has-enable-permission.directive.ts:44